<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.entity.id Class Hierarchy (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.entity.id Class Hierarchy (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/entity/package-tree.html">Prev</a></li>
<li><a href="../../../../../io/mosip/registration/exception/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/id/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package io.mosip.registration.entity.id</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/AppAuthenticationMethodId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">AppAuthenticationMethodId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/ApplicantValidDocumentID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">ApplicantValidDocumentID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/AppRolePriorityId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">AppRolePriorityId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/CenterMachineId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">CenterMachineId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/CodeAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">CodeAndLanguageCodeID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/CodeLangCodeAndRsnCatCodeID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">CodeLangCodeAndRsnCatCodeID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/GenericId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">GenericId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/GlobalParamId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">GlobalParamId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/HolidayID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">HolidayID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/IdAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">IdAndLanguageCodeID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/IndividualTypeId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">IndividualTypeId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/RegCenterDeviceId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">RegCenterDeviceId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/RegCenterUserId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">RegCenterUserId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/RegCentreMachineDeviceId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">RegCentreMachineDeviceId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/RegDeviceTypeId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">RegDeviceTypeId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/RegistartionCenterId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">RegistartionCenterId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/RegMachineSpecId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">RegMachineSpecId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/ScreenAuthorizationId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">ScreenAuthorizationId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/TemplateId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">TemplateId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/UserBiometricId.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">UserBiometricId</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/UserMachineMappingID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">UserMachineMappingID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/UserRoleID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">UserRoleID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/ValidDocumentID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">ValidDocumentID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.entity.id.<a href="../../../../../io/mosip/registration/entity/id/WordAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id"><span class="typeNameLink">WordAndLanguageCodeID</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/entity/package-tree.html">Prev</a></li>
<li><a href="../../../../../io/mosip/registration/exception/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/id/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
